Package javax.help

# Class UniteAppendMerge

java.lang.Object
javax.help.Merge
javax.help.UniteAppendMerge

public class UniteAppendMerge extends Merge
Unite-append merge type

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.help.Merge

`Merge.DefaultMergeFactory`

## Field Summary

### Fields inherited from class javax.help.Merge

`locale, slaveTopNode`

## Constructor Summary

Constructors
Constructor
Description
`UniteAppendMerge(NavigatorView master, NavigatorView slave)`
Constructs UniteAppendMerge

## Method Summary

Modifier and Type
Method
Description
`static void`
`mergeNodeChildren(TreeNode node)`
Merge Node Children.
`static void`
`mergeNodes(TreeNode master, TreeNode slave)`
Merge Nodes.
`TreeNode`
`processMerge(TreeNode node)`
Processes unite-append merge

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UniteAppendMerge

public UniteAppendMerge(NavigatorView master, NavigatorView slave)
Constructs UniteAppendMerge

Parameters:
  `master` - The master NavigatorView
  `slave` - The slave NavigatorView

## Method Details

### processMerge

public TreeNode processMerge(TreeNode node)
Processes unite-append merge

Specified by:
  `processMerge` in class `Merge`
Parameters:
  `node` - The master node
Returns:
  Merged master node

### mergeNodes

public static void mergeNodes(TreeNode master, TreeNode slave)
Merge Nodes. Merge two nodes according to the UniteAppend merging rules

Parameters:
  `masterNode` - The master node to merge with
  `slaveNode` - The node to merge into the master

### mergeNodeChildren

public static void mergeNodeChildren(TreeNode node)
Merge Node Children. Merge the children of a node according to the UniteAppend merging.

Parameters:
  `node` - The parent node from which the children are merged